Skip to main content
GET
/
contracts
/
{contractId}
Get contract
curl --request GET \
  --url https://api.vanta.com/v1/contracts/{contractId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "65e1efde08e8478f143a8ff9",
  "name": "Example Contract",
  "customerTrustAccountId": null,
  "executedDate": "2024-01-15T00:00:00.000Z",
  "creationDate": "2024-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the contract.

name
string
required

Name of the contract.

customerTrustAccountId
string | null
required

The ID of the customer trust account this contract is linked to, if any.

executedDate
string<date-time> | null
required

Date this contract was executed.

creationDate
string<date-time>
required

Date this contract was created in Vanta.